<!--#include virtual="../head-pretitle.html"-->
<!--#set var="this" value="mit-tech-singer" -->
<title>Tech Squares: M-I-T T-E-C-H singing call</title>
<style type="text/css">
  p.indented { margin-left: 3em; }
</style>
<!--#include virtual="../head-posttitle-subdir.html"-->
<div id="main">

<h1><span style="text-decoration: underline">M-I-T&nbsp;T-E-C-H!!</span> singing call</h1>
<p>
Singing call written by Ted Lizotte and called to Tech Squares 5 March
1998.
</p><p>
(Sung to the ESP Square Dance recording of C-O-U-N-T-R-Y.)
</p>
<h2>Opener</h2>
<p class="indented">
Four ladies promenade you go rolling around,<br />
Back home and Swing and whirl that man,<br />
Join hands and Circle to the Left get movin' and then,<br />
Allemande Left with your left hand, Weave the ring.<br />
**We like to Circulate, All 8, in a Box or a Split,<br />
If you're lookin' for a good time-well friends this is it<br />
We know you think we're square, and we think that's okay,<br />
Because we're M-I-T&nbsp;T-E-C-H!!
</p>
<h2>Figure</h2>
<p class="indented">
Head couples promenade you go half way around,<br />
Down the middle you do the Right and Left Thru,<br />
Half-Sashay, Pass Thru and then,<br />
Split Circulate, Pass Thru again,<br />
Crossfire&nbsp;.&nbsp;.&nbsp;. Explode the Wave,<br />
Swing that girl and then you'll all promenade.<br />
We know you think we're square, and we think that's okay,<br />
Because we're M-I-T&nbsp;T-E-C-H!!
</p>
<h2>Middle Break</h2>
<p class="indented">
**We've got Lines and Boxes, Ocean Waves of 4, 6 or 3,<br />
We've got formations so darn tough, they're with people you can't see!!<br />
This ain't the same game, we've modernized&nbsp;.&nbsp;.&nbsp;. this ain't the old way,<br />
Not at M-I-T&nbsp;T-E-C-H!!<br />
</p>
<h2>Final Break</h2>
<p class="indented">
**We dance Arky, Mirror, As Couples, Tandem, Gemini,<br />
We go Zero to Plus in 14 weeks--passing everybody by,<br />
Don't mean to brag, them's just the facts, better heed what we say,<br />
'Cause we're M-I-T&nbsp;T-E-C-H!!<br />
<i>(Tag)</i><br />
You know the dancin' great, but the schoolwork is<br />
a little more than it
should be&nbsp;.&nbsp;.&nbsp;.
here at M-I-T&nbsp;.&nbsp;.&nbsp;. I-H-T-F-P!!!
</p>

</div> <!-- main -->
<!--#include virtual="../footer.html"-->
